Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002307TestLinkRequirement Managementpublic2009-03-31 11:252010-01-24 18:40
Reporterkunakavitha 
Assigned Tomhavlat 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 5 
Fixed in Version1.8.4 
Summary0002307: SRS docs not displayed in Requirements folder
DescriptionAs suggested I migrated to 1.8 RC5,but after migration I cannot see my requirement SRS docs I used to have.But when I add with the same name ,it says the name exists.I can see the SRS docs linked in the results but not in the requiremets folder..

Advise how to fix
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon req in left frame.png [^] (6,627 bytes) 2009-03-31 12:39


png file icon req error.png [^] (25,542 bytes) 2009-04-01 12:01

- Relationships

-  Notes
(0006081)
amitkhullar (reporter)
2009-03-31 12:02

Please elaborate the steps to reproduce the issue.

Amit
(0006082)
kunakavitha (reporter)
2009-03-31 12:10

I was using 1.7.4 version of test link
We migrated to 1.8 RC5
After migration when checked the requirement specification for the SRS docuements ,they were not displayed there.
How ever I tried to create with the same name as in the 1.7.4 version.
When trying to do so ,the system says that the file already exists.
Also when checked the results,I was able to see the requirements report with the coverage and mapping.
Then why are they not displayed on the requirements specification folder.
How do I see them there?
(0006083)
amitkhullar (reporter)
2009-03-31 12:25

What happens when you try to update the tree on left panel. Can you post some snap shot.

Also try to create new Req. spec in a test project and see if it works.

Amit
(0006084)
kunakavitha (reporter)
2009-03-31 12:40

What happens when you try to update the tree on left panel. Can you post some snap shot.

No problem..I am able to create the new docs...My concern is the existing req books we have created for various projects
Attached is the screen shot

Also try to create new Req. spec in a test project and see if it works.

I have tried this and this works..no problem.
(0006093)
mhavlat (reporter)
2009-03-31 16:47

You must use RC5 or later for migration process. Did you?
You should look at changes between RC4 and RC5 to see the solution of the bug.
(0006115)
kunakavitha (reporter)
2009-04-01 09:16

I did so...we followed the migration process for RC5..but still the same..Even in RC4 we had the same problem...They asked me to use RC5 for this solution...But still no go in RC5..
(0006117)
kunakavitha (reporter)
2009-04-01 12:01

Today we did the same process and we are able to see the SRS docs from 1.7.4
But also we created some SRS docs yesterday on 1.8 rc5 itself.Today inorder not to have duplicate SRS i was trying to delete the SRS doc which is throwing the error as attached..
I see that the testprojectID is not linked...the req spec ID is missing in the DB

ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AND CFTP.active=1 AND CF.show_on_design=1 AND CF.enable_on_desig' at line 1 - SELECT CF.*,CFTP.display_order,CFDV.value AS value,CFDV.node_id AS node_id FROM custom_fields CF JOIN cfield_testprojects CFTP ON CFTP.field_id=CF.id JOIN cfield_node_types CFNT ON CFNT.field_id=CF.id AND CFNT.node_type_id=6 LEFT OUTER JOIN cfield_design_values CFDV ON CFDV.field_id=CF.id AND CFDV.node_id=5245 WHERE CFTP.testproject_id= AND CFTP.active=1 AND CF.show_on_design=1 AND CF.enable_on_design=1 ORDER BY display_order,CF.id

THE MESSAGE :: SQL [10] executed [took 0.0008 secs][all took 0.0204 secs]: SELECT CF.*,CFTP.display_order,CFDV.value AS value,CFDV.node_id AS node_id FROM custom_fields CF JOIN cfield_testprojects CFTP ON CFTP.field_id=CF.id JOIN cfield_node_types CFNT ON CFNT.field_id=CF.id AND CFNT.node_type_id=6 LEFT OUTER JOIN cfield_design_values CFDV ON CFDV.field_id=CF.id AND CFDV.node_id=5245 WHERE CFTP.testproject_id= AND CFTP.active=1 AND CF.show_on_design=1 AND CF.enable_on_design=1 ORDER BY display_order,CF.id Query failed: errorcode[1064] errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AND CFTP.active=1 AND CF.show_on_design=1 AND CF.enable_on_desig' at line 1
(0006994)
diegodinardo (reporter)
2009-05-21 19:38

I have the same error after the migration from 1.7.4 to 1.8.2.
ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AND CFTP.active=1 AND CF.show_on_design=1 AND CF.enable_on_desig' at line 1 - SELECT CF.*,CFTP.display_order,CFDV.value AS value,CFDV.node_id AS node_id FROM custom_fields CF JOIN cfield_testprojects CFTP ON CFTP.field_id=CF.id JOIN cfield_node_types CFNT ON CFNT.field_id=CF.id AND CFNT.node_type_id=6 LEFT OUTER JOIN cfield_design_values CFDV ON CFDV.field_id=CF.id AND CFDV.node_id=3508 WHERE CFTP.testproject_id= AND CFTP.active=1 AND CF.show_on_design=1 AND CF.enable_on_design=1 ORDER BY display_order,CF.id
(0006997)
fman (administrator)
2009-05-21 23:05

need you 1.7.4 db => send dump zipped to francisco.mancardi@gmail.com
(0007106)
diegodinardo (reporter)
2009-06-02 00:53

My problem is solved, was not a problem of TestLink, because with a migrated database testlink worked perfect.
(0007107)
mhavlat (reporter)
2009-06-02 03:42

Diego, thank you for report.

kunakavitha, I apologize stupid question. Did you use both steps for migration: update DB schema + migrate data? Navigation from installation index page is parallel for these two steps. So it could be confusing.
Generally the problem could be that 1.8 release started to use nodes for requirements navigation. I.e. that a node record in DB for your SRS was not created during migration and therefore you cannot navigate to this SRS.
I can assure you that migration script (RC5) do required changes correctly. The question is why you have not this done.
Could you send me your update for this? Thanks.

- Issue History
Date Modified Username Field Change
2009-03-31 11:25 kunakavitha New Issue
2009-03-31 12:02 amitkhullar Note Added: 0006081
2009-03-31 12:10 kunakavitha Note Added: 0006082
2009-03-31 12:25 amitkhullar Note Added: 0006083
2009-03-31 12:39 kunakavitha File Added: req in left frame.png
2009-03-31 12:40 kunakavitha Note Added: 0006084
2009-03-31 16:47 mhavlat Note Added: 0006093
2009-03-31 16:47 mhavlat Status new => feedback
2009-04-01 09:16 kunakavitha Note Added: 0006115
2009-04-01 12:01 kunakavitha Note Added: 0006117
2009-04-01 12:01 kunakavitha File Added: req error.png
2009-05-21 19:38 diegodinardo Note Added: 0006994
2009-05-21 23:05 fman Note Added: 0006997
2009-06-02 00:53 diegodinardo Note Added: 0007106
2009-06-02 03:42 mhavlat Note Added: 0007107
2010-01-24 18:40 fman Status feedback => assigned
2010-01-24 18:40 fman Assigned To => mhavlat
2010-01-24 18:40 fman Status assigned => closed
2010-01-24 18:40 fman Resolution open => fixed
2010-01-24 18:40 fman Fixed in Version => 1.8.4



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker